directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From elecha...@apache.org
Subject svn commit: r1630159 - in /directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157: META-INF/ META-INF/MANIFEST.MF build.properties pom.xml
Date Wed, 08 Oct 2014 16:11:29 GMT
Author: elecharny
Date: Wed Oct  8 16:11:29 2014
New Revision: 1630159

URL: http://svn.apache.org/r1630159
Log:
Added the apacheds 157 plugin

Added:
    directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/META-INF/
    directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/META-INF/MANIFEST.MF
    directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/build.properties
Modified:
    directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/pom.xml

Added: directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/META-INF/MANIFEST.MF
URL: http://svn.apache.org/viewvc/directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/META-INF/MANIFEST.MF?rev=1630159&view=auto
==============================================================================
--- directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/META-INF/MANIFEST.MF (added)
+++ directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/META-INF/MANIFEST.MF Wed Oct  8 16:11:29 2014
@@ -0,0 +1,32 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: Apache Directory Studio ApacheDS 1.5.7 LDAP Server Adapter
+Bundle-Vendor: The Apache Software Foundation
+Bundle-Version: 2.0.0.qualifier
+Bundle-SymbolicName: org.apache.directory.studio.ldapservers.apacheds.v157;singleton:=true
+Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Eclipse-LazyStart: true
+Export-Package: org.apache.directory.studio.ldapservers.apacheds.v157
+Require-Bundle: org.eclipse.core.runtime,
+ org.apache.commons.lang;bundle-version="2.6.0",
+ org.apache.mina.core;bundle-version="2.0.7",
+ org.apache.commons.collections;bundle-version="3.2.1",
+ org.apache.commons.io;bundle-version="2.4",
+ org.eclipse.jface.text,
+ org.eclipse.ui,
+ org.eclipse.debug.core,
+ org.eclipse.debug.ui,
+ org.eclipse.core.resources,
+ org.eclipse.core.runtime,
+ org.eclipse.ui.console,
+ org.eclipse.ui.ide,
+ org.eclipse.ui.editors,
+ org.apache.directory.studio.common.core,
+ org.apache.directory.studio.common.ui,
+ org.apache.directory.studio.connection.core,
+ org.apache.directory.studio.connection.ui,
+ org.apache.directory.studio.apacheds.configuration,
+ org.apache.directory.studio.ldapservers,
+ dom4j
+

Added: directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/build.properties
URL: http://svn.apache.org/viewvc/directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/build.properties?rev=1630159&view=auto
==============================================================================
--- directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/build.properties (added)
+++ directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/build.properties Wed Oct  8 16:11:29 2014
@@ -0,0 +1,3 @@
+source.. = src/main/java/
+bin.includes = META-INF/,\
+               .

Modified: directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/pom.xml
URL: http://svn.apache.org/viewvc/directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/pom.xml?rev=1630159&r1=1630158&r2=1630159&view=diff
==============================================================================
--- directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/pom.xml (original)
+++ directory/studio/branches/studio-tycho/plugins/ldapservers.apacheds.v157/pom.xml Wed Oct  8 16:11:29 2014
@@ -24,665 +24,666 @@
     <groupId>org.apache.directory.studio</groupId>
     <artifactId>parent-plugins</artifactId>
     <version>2.0.0-SNAPSHOT</version>
+    <relativePath>../</relativePath>
   </parent>
   
-  <artifactId>ldapservers.apacheds.v157</artifactId>
+  <artifactId>org.apache.directory.studio.ldapservers.apacheds.v157</artifactId>
   <name>Apache Directory Studio ApacheDS 1.5.7 LDAP Server Adapter</name>
-  <packaging>jar</packaging>
+  <packaging>eclipse-plugin</packaging>
 
   <description />
   
-  <build>
-    <resources>
-      <resource>
-        <directory>.</directory>
-        <includes>
-          <include>plugin*.properties</include>
-          <include>plugin.xml</include>
-        </includes>
-      </resource>
-      <resource>
-        <directory>resources</directory>
-        <targetPath>resources</targetPath>
-      </resource>
-      <resource>
-        <directory>src/main/java</directory>
-        <includes>
-          <include>**/*.properties</include>
-        </includes>
-      </resource>
-    </resources>
-
-    <plugins>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-eclipse-plugin</artifactId>
-        <configuration>
-          <skip>false</skip>
-          <pde>true</pde>
-          <buildcommands>
-            <buildcommand>org.eclipse.jdt.core.javabuilder</buildcommand>
-            <buildcommand>org.eclipse.pde.ManifestBuilder</buildcommand>
-            <buildcommand>org.eclipse.pde.SchemaBuilder</buildcommand>
-          </buildcommands>
-          <projectnatures>
-            <projectnature>org.eclipse.jem.workbench.JavaEMFNature</projectnature>
-            <projectnature>org.eclipse.pde.PluginNature</projectnature>
-            <projectnature>org.eclipse.jdt.core.javanature</projectnature>
-            <projectnature>org.eclipse.jem.beaninfo.BeanInfoNature</projectnature>
-          </projectnatures>
-          <classpathContainers>
-            <classpathContainer>org.eclipse.jdt.launching.JRE_CONTAINER</classpathContainer>
-            <classpathContainer>org.eclipse.pde.core.requiredPlugins</classpathContainer>
-          </classpathContainers>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.directory.studio</groupId>
-        <artifactId>studio-maven-plugin</artifactId>
-        <configuration>
-          <skip>false</skip>
-          <createManifest>true</createManifest>
-        </configuration>
-        <executions>
-          <execution>
-            <goals>
-              <goal>prepare-jar-package</goal>
-            </goals>
-          </execution>
-        </executions>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-jar-plugin</artifactId>
-        <configuration>
-          <archive>
-            <manifestFile>META-INF/MANIFEST.MF</manifestFile>
-            <addMavenDescriptor>false</addMavenDescriptor>
-          </archive>
-        </configuration>
-      </plugin>
+<!--  <build> -->
+<!--    <resources> -->
+<!--      <resource> -->
+<!--        <directory>.</directory> -->
+<!--        <includes> -->
+<!--          <include>plugin*.properties</include> -->
+<!--          <include>plugin.xml</include> -->
+<!--        </includes> -->
+<!--      </resource> -->
+<!--      <resource> -->
+<!--        <directory>resources</directory> -->
+<!--        <targetPath>resources</targetPath> -->
+<!--      </resource> -->
+<!--      <resource> -->
+<!--        <directory>src/main/java</directory> -->
+<!--        <includes> -->
+<!--          <include>**/*.properties</include> -->
+<!--        </includes> -->
+<!--      </resource> -->
+<!--    </resources> -->
+<!-- -->
+<!--    <plugins> -->
+<!--      <plugin> -->
+<!--        <groupId>org.apache.maven.plugins</groupId> -->
+<!--        <artifactId>maven-eclipse-plugin</artifactId> -->
+<!--        <configuration> -->
+<!--          <skip>false</skip> -->
+<!--          <pde>true</pde> -->
+<!--          <buildcommands> -->
+<!--            <buildcommand>org.eclipse.jdt.core.javabuilder</buildcommand> -->
+<!--            <buildcommand>org.eclipse.pde.ManifestBuilder</buildcommand> -->
+<!--            <buildcommand>org.eclipse.pde.SchemaBuilder</buildcommand> -->
+<!--          </buildcommands> -->
+<!--          <projectnatures> -->
+<!--            <projectnature>org.eclipse.jem.workbench.JavaEMFNature</projectnature> -->
+<!--            <projectnature>org.eclipse.pde.PluginNature</projectnature> -->
+<!--            <projectnature>org.eclipse.jdt.core.javanature</projectnature> -->
+<!--            <projectnature>org.eclipse.jem.beaninfo.BeanInfoNature</projectnature> -->
+<!--          </projectnatures> -->
+<!--          <classpathContainers> -->
+<!--            <classpathContainer>org.eclipse.jdt.launching.JRE_CONTAINER</classpathContainer> -->
+<!--            <classpathContainer>org.eclipse.pde.core.requiredPlugins</classpathContainer> -->
+<!--          </classpathContainers> -->
+<!--        </configuration> -->
+<!--      </plugin> -->
+<!--      <plugin> -->
+<!--        <groupId>org.apache.directory.studio</groupId> -->
+<!--        <artifactId>studio-maven-plugin</artifactId> -->
+<!--        <configuration> -->
+<!--          <skip>false</skip> -->
+<!--          <createManifest>true</createManifest> -->
+<!--        </configuration> -->
+<!--        <executions> -->
+<!--          <execution> -->
+<!--            <goals> -->
+<!--              <goal>prepare-jar-package</goal> -->
+<!--            </goals> -->
+<!--          </execution> -->
+<!--        </executions> -->
+<!--      </plugin> -->
+<!--      <plugin> -->
+<!--        <groupId>org.apache.maven.plugins</groupId> -->
+<!--        <artifactId>maven-jar-plugin</artifactId> -->
+<!--        <configuration> -->
+<!--          <archive> -->
+<!--            <manifestFile>META-INF/MANIFEST.MF</manifestFile> -->
+<!--            <addMavenDescriptor>false</addMavenDescriptor> -->
+<!--          </archive> -->
+<!--        </configuration> -->
+<!--      </plugin> -->
       <!-- MANIFEST.MF Generation -->
-      <plugin>
-        <groupId>org.apache.felix</groupId>
-        <artifactId>maven-bundle-plugin</artifactId>
-        <extensions>true</extensions>
-        <configuration>
-          <manifestLocation>META-INF</manifestLocation>
-          <instructions>            
-            <Bundle-SymbolicName>${project.groupId}.${project.artifactId};singleton:=true</Bundle-SymbolicName>
-            <Bundle-Localization>plugin</Bundle-Localization>
-            <Eclipse-LazyStart>true</Eclipse-LazyStart>
-            <Bundle-Activator>org.apache.directory.studio.ldapservers.apacheds.v157.ApacheDS157Plugin</Bundle-Activator>
-            <Require-Bundle>org.apache.directory.studio.apacheds.configuration,
- org.apache.directory.studio.common.core,
- org.apache.directory.studio.common.ui,
- org.apache.directory.studio.connection.core,
- org.apache.directory.studio.connection.ui,
- org.apache.directory.studio.ldapservers,
- org.apache.mina.core;bundle-version="${org.apache.mina.version}",
- org.dom4j.dom4j;bundle-version="${org.dom4j.version}",
- org.eclipse.core.runtime,
- org.eclipse.core.resources,
- org.eclipse.debug.core,
- org.eclipse.debug.ui,
- org.eclipse.jdt.launching,
- org.eclipse.jface.text,
- org.eclipse.ui,
- org.eclipse.ui.editors,
- org.eclipse.ui.ide</Require-Bundle>
-            <Export-Package>org.apache.directory.studio.ldapservers.apacheds.v157.*</Export-Package>
-            <Import-Package>!*</Import-Package>
-          </instructions>
-        </configuration>
-        <executions>
-          <execution>
-            <id>generate-manifest</id>
-            <phase>process-classes</phase>
-            <goals>
-              <goal>manifest</goal>
-            </goals>
-          </execution>
-        </executions>
-      </plugin>
+<!--      <plugin> -->
+<!--        <groupId>org.apache.felix</groupId> -->
+<!--        <artifactId>maven-bundle-plugin</artifactId> -->
+<!--        <extensions>true</extensions> -->
+<!--        <configuration> -->
+<!--          <manifestLocation>META-INF</manifestLocation> -->
+<!--          <instructions>             -->
+<!--            <Bundle-SymbolicName>${project.groupId}.${project.artifactId};singleton:=true</Bundle-SymbolicName> -->
+<!--            <Bundle-Localization>plugin</Bundle-Localization> -->
+<!--            <Eclipse-LazyStart>true</Eclipse-LazyStart> -->
+<!--            <Bundle-Activator>org.apache.directory.studio.ldapservers.apacheds.v157.ApacheDS157Plugin</Bundle-Activator> -->
+<!--            <Require-Bundle>org.apache.directory.studio.apacheds.configuration, -->
+<!-- org.apache.directory.studio.common.core, -->
+<!-- org.apache.directory.studio.common.ui, -->
+<!-- org.apache.directory.studio.connection.core, -->
+<!-- org.apache.directory.studio.connection.ui, -->
+<!-- org.apache.directory.studio.ldapservers, -->
+<!-- org.apache.mina.core;bundle-version="${org.apache.mina.version}", -->
+<!-- org.dom4j.dom4j;bundle-version="${org.dom4j.version}", -->
+<!-- org.eclipse.core.runtime, -->
+<!-- org.eclipse.core.resources, -->
+<!-- org.eclipse.debug.core, -->
+<!-- org.eclipse.debug.ui, -->
+<!-- org.eclipse.jdt.launching, -->
+<!-- org.eclipse.jface.text, -->
+<!-- org.eclipse.ui, -->
+<!-- org.eclipse.ui.editors, -->
+<!-- org.eclipse.ui.ide</Require-Bundle> -->
+<!--            <Export-Package>org.apache.directory.studio.ldapservers.apacheds.v157.*</Export-Package> -->
+<!--            <Import-Package>!*</Import-Package> -->
+<!--          </instructions> -->
+<!--        </configuration> -->
+<!--        <executions> -->
+<!--          <execution> -->
+<!--            <id>generate-manifest</id> -->
+<!--            <phase>process-classes</phase> -->
+<!--            <goals> -->
+<!--              <goal>manifest</goal> -->
+<!--            </goals> -->
+<!--          </execution> -->
+<!--        </executions> -->
+<!--      </plugin> -->
       <!-- No tests to run -->
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-surefire-plugin</artifactId>
-        <configuration>
-          <skip>true</skip>
-        </configuration>
-      </plugin>
+<!--      <plugin> -->
+<!--        <groupId>org.apache.maven.plugins</groupId> -->
+<!--        <artifactId>maven-surefire-plugin</artifactId> -->
+<!--        <configuration> -->
+<!--          <skip>true</skip> -->
+<!--        </configuration> -->
+<!--      </plugin> -->
       <!-- Copying ApacheDS 1.5.7 Libraries -->
-      <plugin>
-        <groupId>org.apache.maven.plugins</groupId>
-        <artifactId>maven-dependency-plugin</artifactId>
-        <executions>
-          <execution>
-            <id>copy-apacheds-1.5.7-libraries</id>
-            <phase>process-resources</phase>
-            <goals>
-              <goal>copy</goal>
-            </goals>
-            <configuration>
-              <outputDirectory>target/classes/resources/libs/</outputDirectory>
-              <artifactItems>
-                <artifactItem>
-                  <groupId>antlr</groupId>
-                  <artifactId>antlr</artifactId>
-                  <version>2.7.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-avl-partition</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-annotations</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-api</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-avl</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-constants</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-entry</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-jndi</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-core-mock</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-http-integration</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-i18n</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-interceptor-kerberos</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-jdbm</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-jdbm-partition</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-jdbm-store</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-kerberos-shared</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-ldif-partition</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.studio</groupId>
-                  <artifactId>apacheds-launcher</artifactId>
-                  <version>1.5.0</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-protocol-changepw</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-protocol-dns</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-protocol-kerberos</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-protocol-ldap</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-protocol-ntp</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-protocol-shared</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-server-jndi</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-server-xml</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-utils</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-xbean-spring</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-xdbm-base</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-xdbm-search</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.server</groupId>
-                  <artifactId>apacheds-xdbm-tools</artifactId>
-                  <version>1.5.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>bouncycastle</groupId>
-                  <artifactId>bcprov-jdk15</artifactId>
-                  <version>140</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>commons-cli</groupId>
-                  <artifactId>commons-cli</artifactId>
-                  <version>1.2</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>commons-collections</groupId>
-                  <artifactId>commons-collections</artifactId>
-                  <version>3.2.1</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>commons-daemon</groupId>
-                  <artifactId>commons-daemon</artifactId>
-                  <version>1.0.1</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>commons-io</groupId>
-                  <artifactId>commons-io</artifactId>
-                  <version>1.4</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>commons-lang</groupId>
-                  <artifactId>commons-lang</artifactId>
-                  <version>2.5</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.daemon</groupId>
-                  <artifactId>daemon-bootstrappers</artifactId>
-                  <version>1.1.8</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>dom4j</groupId>
-                  <artifactId>dom4j</artifactId>
-                  <version>1.6.1</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.slf4j</groupId>
-                  <artifactId>jcl-over-slf4j</artifactId>
-                  <version>1.5.10</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.mortbay.jetty</groupId>
-                  <artifactId>jetty</artifactId>
-                  <version>6.1.14</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.mortbay.jetty</groupId>
-                  <artifactId>jetty-util</artifactId>
-                  <version>6.1.14</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.mortbay.jetty</groupId>
-                  <artifactId>servlet-api-2.5</artifactId>
-                  <version>6.1.14</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>junit</groupId>
-                  <artifactId>junit</artifactId>
-                  <version>4.7</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>log4j</groupId>
-                  <artifactId>log4j</artifactId>
-                  <version>1.2.14</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.mina</groupId>
-                  <artifactId>mina-core</artifactId>
-                  <version>2.0.0-RC1</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-asn1</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-asn1-codec</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-cursor</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-dsml-parser</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-i18n</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-constants</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-converter</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-jndi</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-schema</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-schema</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-schema-dao</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-schema-loader</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldap-schema-manager</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.directory.shared</groupId>
-                  <artifactId>shared-ldif</artifactId>
-                  <version>0.9.19</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.slf4j</groupId>
-                  <artifactId>slf4j-api</artifactId>
-                  <version>1.5.10</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.slf4j</groupId>
-                  <artifactId>slf4j-log4j12</artifactId>
-                  <version>1.5.10</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.springframework</groupId>
-                  <artifactId>spring-beans</artifactId>
-                  <version>2.5.6.SEC01</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.springframework</groupId>
-                  <artifactId>spring-context</artifactId>
-                  <version>2.5.6.SEC01</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.springframework</groupId>
-                  <artifactId>spring-core</artifactId>
-                  <version>2.5.6.SEC01</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>org.apache.xbean</groupId>
-                  <artifactId>xbean-spring</artifactId>
-                  <version>3.5</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>xerces</groupId>
-                  <artifactId>xercesImpl</artifactId>
-                  <version>2.9.1</version>
-                </artifactItem>
-                <artifactItem>
-                  <groupId>xpp3</groupId>
-                  <artifactId>xpp3</artifactId>
-                  <version>1.1.4c</version>
-                </artifactItem>
-              </artifactItems>
-            </configuration>
-          </execution>
-        </executions>
-     </plugin>
-    </plugins>
-  </build>
-
-  <dependencies>
+<!--      <plugin> -->
+<!--        <groupId>org.apache.maven.plugins</groupId> -->
+<!--        <artifactId>maven-dependency-plugin</artifactId> -->
+<!--        <executions> -->
+<!--          <execution> -->
+<!--            <id>copy-apacheds-1.5.7-libraries</id> -->
+<!--            <phase>process-resources</phase> -->
+<!--            <goals> -->
+<!--              <goal>copy</goal> -->
+<!--            </goals> -->
+<!--            <configuration> -->
+<!--              <outputDirectory>target/classes/resources/libs/</outputDirectory> -->
+<!--              <artifactItems> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>antlr</groupId> -->
+<!--                  <artifactId>antlr</artifactId> -->
+<!--                  <version>2.7.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-avl-partition</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-annotations</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-api</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-avl</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-constants</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-entry</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-jndi</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-core-mock</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-http-integration</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-i18n</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-interceptor-kerberos</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-jdbm</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-jdbm-partition</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-jdbm-store</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-kerberos-shared</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-ldif-partition</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.studio</groupId> -->
+<!--                  <artifactId>apacheds-launcher</artifactId> -->
+<!--                  <version>1.5.0</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-protocol-changepw</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-protocol-dns</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-protocol-kerberos</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-protocol-ldap</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-protocol-ntp</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-protocol-shared</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-server-jndi</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-server-xml</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-utils</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-xbean-spring</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-xdbm-base</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-xdbm-search</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.server</groupId> -->
+<!--                  <artifactId>apacheds-xdbm-tools</artifactId> -->
+<!--                  <version>1.5.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>bouncycastle</groupId> -->
+<!--                  <artifactId>bcprov-jdk15</artifactId> -->
+<!--                  <version>140</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>commons-cli</groupId> -->
+<!--                  <artifactId>commons-cli</artifactId> -->
+<!--                  <version>1.2</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>commons-collections</groupId> -->
+<!--                  <artifactId>commons-collections</artifactId> -->
+<!--                  <version>3.2.1</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>commons-daemon</groupId> -->
+<!--                  <artifactId>commons-daemon</artifactId> -->
+<!--                  <version>1.0.1</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>commons-io</groupId> -->
+<!--                  <artifactId>commons-io</artifactId> -->
+<!--                  <version>1.4</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>commons-lang</groupId> -->
+<!--                  <artifactId>commons-lang</artifactId> -->
+<!--                  <version>2.5</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.daemon</groupId> -->
+<!--                  <artifactId>daemon-bootstrappers</artifactId> -->
+<!--                  <version>1.1.8</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>dom4j</groupId> -->
+<!--                  <artifactId>dom4j</artifactId> -->
+<!--                  <version>1.6.1</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.slf4j</groupId> -->
+<!--                  <artifactId>jcl-over-slf4j</artifactId> -->
+<!--                  <version>1.5.10</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.mortbay.jetty</groupId> -->
+<!--                  <artifactId>jetty</artifactId> -->
+<!--                  <version>6.1.14</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.mortbay.jetty</groupId> -->
+<!--                  <artifactId>jetty-util</artifactId> -->
+<!--                  <version>6.1.14</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.mortbay.jetty</groupId> -->
+<!--                  <artifactId>servlet-api-2.5</artifactId> -->
+<!--                  <version>6.1.14</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>junit</groupId> -->
+<!--                  <artifactId>junit</artifactId> -->
+<!--                  <version>4.7</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>log4j</groupId> -->
+<!--                  <artifactId>log4j</artifactId> -->
+<!--                  <version>1.2.14</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.mina</groupId> -->
+<!--                  <artifactId>mina-core</artifactId> -->
+<!--                  <version>2.0.0-RC1</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-asn1</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-asn1-codec</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-cursor</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-dsml-parser</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-i18n</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-constants</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-converter</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-jndi</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-schema</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-schema</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-schema-dao</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-schema-loader</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldap-schema-manager</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.directory.shared</groupId> -->
+<!--                  <artifactId>shared-ldif</artifactId> -->
+<!--                  <version>0.9.19</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.slf4j</groupId> -->
+<!--                  <artifactId>slf4j-api</artifactId> -->
+<!--                  <version>1.5.10</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.slf4j</groupId> -->
+<!--                  <artifactId>slf4j-log4j12</artifactId> -->
+<!--                  <version>1.5.10</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.springframework</groupId> -->
+<!--                  <artifactId>spring-beans</artifactId> -->
+<!--                  <version>2.5.6.SEC01</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.springframework</groupId> -->
+<!--                  <artifactId>spring-context</artifactId> -->
+<!--                  <version>2.5.6.SEC01</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.springframework</groupId> -->
+<!--                  <artifactId>spring-core</artifactId> -->
+<!--                  <version>2.5.6.SEC01</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>org.apache.xbean</groupId> -->
+<!--                  <artifactId>xbean-spring</artifactId> -->
+<!--                  <version>3.5</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>xerces</groupId> -->
+<!--                  <artifactId>xercesImpl</artifactId> -->
+<!--                  <version>2.9.1</version> -->
+<!--                </artifactItem> -->
+<!--                <artifactItem> -->
+<!--                  <groupId>xpp3</groupId> -->
+<!--                  <artifactId>xpp3</artifactId> -->
+<!--                  <version>1.1.4c</version> -->
+<!--                </artifactItem> -->
+<!--              </artifactItems> -->
+<!--            </configuration> -->
+<!--          </execution> -->
+<!--        </executions> -->
+<!--     </plugin> -->
+<!--    </plugins> -->
+<!--  </build> -->
+<!-- -->
+<!--  <dependencies> -->
     <!-- Apache Directory Studio library plugins dependencies -->
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>org.dom4j.dom4j</artifactId>
-      <scope>provided</scope>
-    </dependency>
-
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>org.dom4j.dom4j</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!-- -->
     <!-- Apache Mina dependencies -->
-    <dependency>
-      <groupId>org.apache.mina</groupId>
-      <artifactId>mina-core</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    
+<!--    <dependency> -->
+<!--      <groupId>org.apache.mina</groupId> -->
+<!--      <artifactId>mina-core</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--     -->
   	<!-- Apache Directory Studio plugins dependencies -->
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>apacheds.configuration</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>common.core</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>common.ui</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>connection.core</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>connection.ui</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.apache.directory.studio</groupId>
-      <artifactId>ldapservers</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>apacheds.configuration</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>common.core</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>common.ui</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>connection.core</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>connection.ui</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.apache.directory.studio</groupId> -->
+<!--      <artifactId>ldapservers</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--     -->
 	<!-- Eclipse plugins dependencies -->
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>commands</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>osgi</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>jobs</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>preferences</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>common</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>runtime</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>resources</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.core</groupId>
-      <artifactId>expressions</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.debug</groupId>
-      <artifactId>core</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.debug</groupId>
-      <artifactId>ui</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jdt</groupId>
-      <artifactId>launching</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.equinox</groupId>
-      <artifactId>registry</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>jface</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.jface</groupId>
-      <artifactId>text</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse</groupId>
-      <artifactId>text</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>editors</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>ide</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>forms</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>views</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui</groupId>
-      <artifactId>workbench</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.ui.workbench</groupId>
-      <artifactId>texteditor</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.swt.gtk.linux</groupId>
-      <artifactId>x86</artifactId>
-      <scope>provided</scope>
-    </dependency>
-  </dependencies>
-
-</project>
\ No newline at end of file
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.core</groupId> -->
+<!--      <artifactId>commands</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse</groupId> -->
+<!--      <artifactId>osgi</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.core</groupId> -->
+<!--      <artifactId>jobs</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.equinox</groupId> -->
+<!--      <artifactId>preferences</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.equinox</groupId> -->
+<!--      <artifactId>common</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.core</groupId> -->
+<!--      <artifactId>runtime</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.core</groupId> -->
+<!--      <artifactId>resources</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.core</groupId> -->
+<!--      <artifactId>expressions</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.debug</groupId> -->
+<!--      <artifactId>core</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.debug</groupId> -->
+<!--      <artifactId>ui</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.jdt</groupId> -->
+<!--      <artifactId>launching</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.equinox</groupId> -->
+<!--      <artifactId>registry</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse</groupId> -->
+<!--      <artifactId>jface</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.jface</groupId> -->
+<!--      <artifactId>text</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse</groupId> -->
+<!--      <artifactId>text</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.ui</groupId> -->
+<!--      <artifactId>editors</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.ui</groupId> -->
+<!--      <artifactId>ide</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.ui</groupId> -->
+<!--      <artifactId>forms</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.ui</groupId> -->
+<!--      <artifactId>views</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.ui</groupId> -->
+<!--      <artifactId>workbench</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.ui.workbench</groupId> -->
+<!--      <artifactId>texteditor</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--    <dependency> -->
+<!--      <groupId>org.eclipse.swt.gtk.linux</groupId> -->
+<!--      <artifactId>x86</artifactId> -->
+<!--      <scope>provided</scope> -->
+<!--    </dependency> -->
+<!--  </dependencies> -->
+<!-- -->
+</project>



Mime
View raw message